Package icyllis.modernui.graphics

# Class PointF

java.lang.Object
icyllis.modernui.graphics.PointF

public class PointF extends Object
Represents a point holding two float values.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `float`
  `x`
  `float`
  `y`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PointF()`
  `PointF(float x, float y)`
  `PointF(Point p)`
  `PointF(PointF p)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PointF`
  `copy()`
  `static PointF`
  `copy(PointF p)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `float`
  `length()`
  Return the Euclidean distance from (0,0) to the point
  `void`
  `negate()`
  `boolean`
  `normalize()`
  `void`
  `offset(float dx, float dy)`
  `void`
  `round(Point dst)`
  `void`
  `set(float x, float y)`
  `void`
  `set(Point p)`
  `void`
  `set(PointF p)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### x

    public float x

  - ### y

    public float y

- ## Constructor Details

  - ### PointF

    public PointF()

  - ### PointF

    public PointF(float x, float y)

  - ### PointF

    public PointF(@NonNull Point p)

  - ### PointF

    public PointF(@NonNull PointF p)

- ## Method Details

  - ### copy

    @NonNull public static PointF copy(@Nullable PointF p)

  - ### set

    public void set(float x, float y)

  - ### set

    public void set(@NonNull Point p)

  - ### set

    public void set(@NonNull PointF p)

  - ### negate

    public void negate()

  - ### offset

    public void offset(float dx, float dy)

  - ### length

    public float length()
    Return the Euclidean distance from (0,0) to the point

  - ### normalize

    public boolean normalize()

  - ### round

    public void round(@NonNull Point dst)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### copy

    @NonNull public PointF copy()